Pagina 1 di 1

[risolto] Pacchetti danneggiati non riparabili

MessaggioInviato: martedì 1 maggio 2018, 13:46
da Sevin
Ho installato da poco la 18.04 e oggi, provando a vedere se funzionava lo scanner e quindi installando il relativo driver, mi sono apparsi dei pacchetti danneggiati che ho provato a sistemare

questo è quello che mi risponde il sistema

Codice: Seleziona tutto
mario @ outremer  ~/Scaricati
└─ $ ▶ sudo apt-get install -f
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libperl5.26:i386
I seguenti pacchetti NUOVI saranno installati:
  libperl5.26:i386
0 aggiornati, 1 installati, 0 da rimuovere e 0 non aggiornati.
34 non completamente installati o rimossi.
È necessario scaricare 0 B/3.155 kB di archivi.
Dopo quest'operazione, verranno occupati 16,3 MB di spazio su disco.
Continuare? [S/n]
(Lettura del database... 272388 file e directory attualmente installati.)
Preparativi per estrarre .../libperl5.26_5.26.1-6_i386.deb...
Estrazione di libperl5.26:i386 (5.26.1-6)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libperl5.26_5.26.1-6_i386.deb (--unpack):
 tentata sovrascrittura di "/usr/share/doc/libperl5.26/changelog.Debian.gz" (condiviso), diverso da altre istanze del pacchetto libperl5.26:i386
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libperl5.26_5.26.1-6_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
mario @ outremer  ~/Scaricati
└─ $ ▶ sudo apt --fix-broken install
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Correzione delle dipendenze... Fatto
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libperl5.26:i386
I seguenti pacchetti NUOVI saranno installati:
  libperl5.26:i386
0 aggiornati, 1 installati, 0 da rimuovere e 0 non aggiornati.
34 non completamente installati o rimossi.
È necessario scaricare 0 B/3.155 kB di archivi.
Dopo quest'operazione, verranno occupati 16,3 MB di spazio su disco.
Continuare? [S/n]
(Lettura del database... 272388 file e directory attualmente installati.)
Preparativi per estrarre .../libperl5.26_5.26.1-6_i386.deb...
Estrazione di libperl5.26:i386 (5.26.1-6)...
dpkg: errore nell'elaborare l'archivio /var/cache/apt/archives/libperl5.26_5.26.1-6_i386.deb (--unpack):
 tentata sovrascrittura di "/usr/share/doc/libperl5.26/changelog.Debian.gz" (condiviso), diverso da altre istanze del pacchetto libperl5.26:i386
Si sono verificati degli errori nell'elaborazione:
 /var/cache/apt/archives/libperl5.26_5.26.1-6_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
mario @ outremer  ~/Scaricati
└─ $ ▶



Ho provato ad eseguire apt clean, poi apt autoclean e apt autoremove e anche a riavviare il sistema ma l'errore rimane e non riesco a risolvere.... :muro: :muro: :muro:

Qualche suggerimento?

Re: Pacchetti danneggiati non riparabili

MessaggioInviato: martedì 1 maggio 2018, 14:01
da a323109
Sevin Immagine ha scritto:
Qualche suggerimento?


Prova a installare
Codice: Seleziona tutto
apt install deborphan


http://guide.debianizzati.org/index.php ... #Deborphan

Re: Pacchetti danneggiati non riparabili

MessaggioInviato: martedì 1 maggio 2018, 14:18
da Sevin
non mi fa installare deborphan

Codice: Seleziona tutto
mario @ outremer  ~/Scaricati
└─ $ ▶ sudo apt install deborphan
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
È utile eseguire "apt --fix-broken install" per correggere ciò.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 libsnmp30:i386 : Dipende: libperl5.26:i386 (>= 5.26.0~rc1) ma non sta per essere installato
E: Dipendenze non soddisfatte. Provare "apt --fix-broken install" senza pacchetti (o specificare una soluzione).
mario @ outremer  ~/Scaricati
└─ $ ▶

Re: Pacchetti danneggiati non riparabili

MessaggioInviato: martedì 1 maggio 2018, 14:28
da a323109
Codice: Seleziona tutto
mario @ outremer  ~/Scaricati


Sei parecchio incasinato. Ma perchè hai il terminale in /scaricati???

Re: Pacchetti danneggiati non riparabili

MessaggioInviato: martedì 1 maggio 2018, 14:39
da Sevin
ho aperto il terminale lì perchè stavo vedendo alcuni file scaricati, ma questo non cambia lo stato delle cose.

Ho risolto, comunque, andando in /usr/share/doc/libperl5.26 e cancellando a mano (come amministratore) il file changelog.Debian.gz che era quello che nel messaggio bloccava il sistema.

A questo punto, dando apt install -f ha funzionato senza problemi.

Soluzione probabilmente grezza, ma che ha funzionato :D :D :D

Re: Pacchetti danneggiati non riparabili

MessaggioInviato: domenica 27 maggio 2018, 14:08
da mm74
Sevin Immagine ha scritto:ho aperto il terminale lì perchè stavo vedendo alcuni file scaricati, ma questo non cambia lo stato delle cose.

Ho risolto, comunque, andando in /usr/share/doc/libperl5.26 e cancellando a mano (come amministratore) il file changelog.Debian.gz che era quello che nel messaggio bloccava il sistema.

A questo punto, dando apt install -f ha funzionato senza problemi.

Soluzione probabilmente grezza, ma che ha funzionato :D :D :D




Ciao anche io ho il stesso problema scusami come hai fatto a cancellare quel pacchetto a me non lo permette grazie

Re: [risolto] Pacchetti danneggiati non riparabili

MessaggioInviato: domenica 27 maggio 2018, 17:18
da caturen
Ciao anche io ho il stesso problema scusami come hai fatto a cancellare quel pacchetto a me non lo permette grazie
devi dare il comando da sudo

Re: [risolto] Pacchetti danneggiati non riparabili

MessaggioInviato: giovedì 14 giugno 2018, 21:28
da MisterEma79
mi potresti spiegare i passaggi bene, grazie

Re: [risolto] Pacchetti danneggiati non riparabili

MessaggioInviato: giovedì 14 giugno 2018, 21:35
da Sevin
da terminale

Codice: Seleziona tutto
sudo rm /usr/share/doc/libperl5.26/changelog.Debian.gz